---
title: Get Gateway Log Detail
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[AI Gateway](https://developers.cloudflare.com/api/go/resources/ai_gateway)

[Logs](https://developers.cloudflare.com/api/go/resources/ai_gateway/subresources/logs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Gateway Log Detail

client.AIGateway.Logs.Get(ctx, gatewayID, id, query) (\*[LogGetResponse](<https://developers.cloudflare.com/api/go/resources/ai_gateway#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/ai-gateway/gateways/{gateway\_id}/logs/{id}

Retrieves detailed information for a specific AI Gateway log entry.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`AI Gateway Write``AI Gateway Read`

##### ParametersExpand Collapse

gatewayID string

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20gateway_id%20%3E%20(schema)>)

id string

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20id%20%3E%20(schema)>)

<details>

<summary>

query LogGetParams

</summary>

AccountID param.Field\[string]

<a href="#(resource)%20ai_gateway.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LogGetResponse struct{…}

</summary>

ID string

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Cached bool

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20cached">Link to this property</a>

CreatedAt Time

formatdate-time

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

Duration int64

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20duration">Link to this property</a>

Model string

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20model">Link to this property</a>

Path string

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20path">Link to this property</a>

Provider string

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20provider">Link to this property</a>

Success bool

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

TokensIn int64

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20tokens_in">Link to this property</a>

TokensOut int64

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20tokens_out">Link to this property</a>

Cost float64Optional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20cost">Link to this property</a>

CustomCost boolOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20custom_cost">Link to this property</a>

Metadata stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

ModelType stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20model_type">Link to this property</a>

RequestContentType stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20request_content_type">Link to this property</a>

RequestHead stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20request_head">Link to this property</a>

RequestHeadComplete boolOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20request_head_complete">Link to this property</a>

RequestSize int64Optional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20request_size">Link to this property</a>

RequestType stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20request_type">Link to this property</a>

ResponseContentType stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20response_content_type">Link to this property</a>

ResponseHead stringOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20response_head">Link to this property</a>

ResponseHeadComplete boolOptional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20response_head_complete">Link to this property</a>

ResponseSize int64Optional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20response_size">Link to this property</a>

StatusCode int64Optional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20status_code">Link to this property</a>

Step int64Optional

<a href="#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)%20%3E%20(property)%20step">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(model)%20LogGetResponse%20%3E%20(schema)>)

### Get Gateway Log Detail

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  log, err := client.AIGateway.Logs.Get(
    context.TODO(),
    "my-gateway",
    "id",
    ai_gateway.LogGetParams{
      AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", log.ID)
}
```

200 example

```
{
  "result": {
    "id": "id",
    "cached": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "duration": 0,
    "model": "model",
    "path": "path",
    "provider": "provider",
    "success": true,
    "tokens_in": 0,
    "tokens_out": 0,
    "cost": 0,
    "custom_cost": true,
    "metadata": "metadata",
    "model_type": "model_type",
    "request_content_type": "request_content_type",
    "request_head": "request_head",
    "request_head_complete": true,
    "request_size": 0,
    "request_type": "request_type",
    "response_content_type": "response_content_type",
    "response_head": "response_head",
    "response_head_complete": true,
    "response_size": 0,
    "status_code": 0,
    "step": 0
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "id",
    "cached": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "duration": 0,
    "model": "model",
    "path": "path",
    "provider": "provider",
    "success": true,
    "tokens_in": 0,
    "tokens_out": 0,
    "cost": 0,
    "custom_cost": true,
    "metadata": "metadata",
    "model_type": "model_type",
    "request_content_type": "request_content_type",
    "request_head": "request_head",
    "request_head_complete": true,
    "request_size": 0,
    "request_type": "request_type",
    "response_content_type": "response_content_type",
    "response_head": "response_head",
    "response_head_complete": true,
    "response_size": 0,
    "status_code": 0,
    "step": 0
  },
  "success": true
}
```